<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Tagihan Finance Company</span>
            </h5>
            <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                <li class="nav-item">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list" ></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
            </ul>
            <p-tabView class="mpm-tab">
                <p-tabPanel header="Tagihan Finance Company">

                    <p-accordion class="filter-accordion">
                        <p-accordionTab header="Filter" [selected]="true">
                            <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.datePO">Tanggal PO</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                        <div class="input-group input-calendar">
                                                            <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                                dateFormat="dd-mm-yy" 
                                                                [showIcon]="true"></p-calendar>
                                                        </div>
                                                    </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.dateIVU">Tanggal IVU</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="input-group input-calendar">
                                                        <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                            dateFormat="dd-mm-yy" 
                                                            [showIcon]="true"></p-calendar>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.leasing" for="field_dateCreate">Leasing</label>
                                                <!--p-dropdown class="form-select" [options]="leasings" [(ngModel)]="selectedLeasing" placeholder="Select Leasing" ></p-dropdown-->
                                                <select class="form-control" [(ngModel)]="selectedLeasing">
                                                    <option [ngValue]="null"></option>
                                                    <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                                </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_status_vso">Status</label>
                                            <select class="form-control" id="field_status_vso" name="status" [(ngModel)]="selectedStatusVso">
                                                <option [ngValue]="null"></option>
                                                <option [ngValue]="statusVso.value" *ngFor="let statusVso of statusVsoes; trackBy: trackStatusVsoById">{{statusVso.label}}</option>
                                            </select>
            
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary btn-filter">
                                    <!-- <button type="button" class="btn btn-primary btn-filter" (click)="search()"> -->
                                        <span>Filter</span>
                                    </button>
                                </div>      
                        </p-accordionTab>
                    </p-accordion>
                    
                    
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearching" id="currentSearching"
                            name="currentSearching" placeholder="Find VSO">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="searching(currentSearching)" *ngIf="currentSearching">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearching">
                            <span class="fa fa-trash-o"></span>
                        </button>                        
                    </div>

                    <p-dataTable
                    [value]="vehicleSalesOrders"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    dataKey="idOrder"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                    (onEditComplete)="updateRowData($event)"
                    [(selection)]="selected"
                    class="width-filter">
                    <p-header>
                        <jhi-alert></jhi-alert>
                    </p-header>
                    <p-column  selectionMode="multiple" [style]="{'width':'38px'}">
                    </p-column>
                    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.noPOs'|translate}}" >
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.salesUnitRequirement.poNumber}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.tglPO'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.salesUnitRequirement.podate != null  then templatePoDate; else templateDateOrder">
                            </div>
                            <ng-template #templatePoDate>
                                {{rowData.salesUnitRequirement.podate|date:'dd-MMM-yyyy'}}
                            </ng-template>
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.Finco'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.leasingName}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.Nconsumen'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.customer.partyName}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.Ar'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                           {{rowData.arLeasing | number}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.NoIVU'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                                </div>
                                <ng-template #templateOrderNumber>
                                    {{rowData.billingNumber}}
                                </ng-template>
                                <ng-template #templateRequirementNumber>
                                    {{rowData.salesUnitRequirement.requirementNumber}}
                                </ng-template>
                        </ng-template>
                    </p-column>

                    <p-column header="{{'mpmApp.vehicleSalesOrder.TglIVU'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateBilling|date:'dd-MMM-yyyy'}}
                        </ng-template>
                    </p-column>

                    <p-column header="{{'mpmApp.vehicleSalesOrder.DBU'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateBASTUnit|date:'dd-MMM-yyyy'}}
                        </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.KwTagihan'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateCustomerReceipt|date:'dd-MMM-yyyy'}}
                            </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.GNN'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateSwipeMachine|date:'dd-MMM-yyyy'}}
                            </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.CN'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateCoverNote|date:'dd-MMM-yyyy'}}
                            </ng-template>
                    </p-column>
    
                    <p-column header="{{'mpmApp.vehicleSalesOrder.Lamp'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.dateTakePicture|date:'dd-MMM-yyyy'}}
                            </ng-template>
                    </p-column>

                    <p-column header="{{'mpmApp.vehicleSalesOrder.status'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">   
                                <div *ngIf="rowData.dateBASTUnit == null || 
                                            rowData.dateCustomerReceipt == null || 
                                            rowData.dateSwipeMachine == null || 
                                            rowData.dateCoverNote == null || 
                                            rowData.dateTakePicture == null  then templateOpen; else templateComplete">
                                    </div>
                                    <ng-template #templateComplete>
                                        Complete
                                    </ng-template>
                                    <ng-template #templateOpen>
                                        Open
                                    </ng-template>
                        </ng-template>
                    </p-column>

                    <p-column header="{{'mpmApp.vehicleSalesOrder.labelAction'|translate}}" [style]="{'min-width': '80px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit"
                                    [routerLink]="['/', { outlets: { popup: 'admin-po-leasing/'+ rowData.idOrder + '/popup-edit'} }]"
                                    replaceUrl="true"
                                    icon="fa-pencil"
                                    class="ui-button-primary">
                                </button>                     
                                <!-- <button pButton type="button"
                                    (click)="updateLeasing(rowData)"
                                    icon="fa-check"
                                    *ngIf="rowData.dateCoverNote && rowData.dateTakePicture && rowData.dateSwipeMachine && rowData.dateCustomerReceipt && rowData.dateBASTUnit"
                                    class="ui-button-primary">
                                </button> -->
                            </ng-template>
                        </p-column>
    
                </p-dataTable>
                <div class="btn-filter-wrapper pull-right">
                    <button (click)="saveTagihanSubmit(sts)" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                        <span>Tagihan Submit</span>
                    </button>
                </div>
                </p-tabPanel>
                
                <p-tabPanel header="Tagihan Submit">
                    <div class="fieldset-legend">
                        <p-accordion class="filter-accordion">
                                <p-accordionTab header="Filter" [selected]="true">
                                    <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.datePO">Tanggal PO</label>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="input-group input-calendar">
                                                                <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                                    dateFormat="dd-mm-yy" 
                                                                    [showIcon]="true"></p-calendar>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                                <div class="input-group input-calendar">
                                                                    <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                                        dateFormat="dd-mm-yy" 
                                                                        [showIcon]="true"></p-calendar>
                                                                </div>
                                                            </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="form-control-label" for="field_dateCreate" jhiTranslate="mpmApp.vehicleSalesOrder.dateIVU">Tanggal IVU</label>
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="input-group input-calendar">
                                                                <p-calendar inputId="field_dateCreate3" name="input_dateCreate3"
                                                                    dateFormat="dd-mm-yy" 
                                                                    [showIcon]="true"></p-calendar>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="input-group input-calendar">
                                                                <p-calendar inputId="field_dateCreate4" name="input_dateCreate4"
                                                                    dateFormat="dd-mm-yy" 
                                                                    [showIcon]="true"></p-calendar>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.leasing" for="field_dateCreate">Leasing</label>
                                                        <!--p-dropdown class="form-select" [options]="leasings" [(ngModel)]="selectedLeasing" placeholder="Select Leasing" ></p-dropdown-->
                                                        <select class="form-control" [(ngModel)]="selectedLeasing">
                                                            <option [ngValue]="null"></option>
                                                            <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings; trackBy: trackleasingComById">{{leasingCom.partyName}}</option>
                                                        </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-group">
                                                    <label class="form-control-label" for="field_status_vso">Status</label>
                                                    <select class="form-control" id="field_status_vso" name="status" [(ngModel)]="selectedStatusVso">
                                                        <option [ngValue]="null"></option>
                                                        <option [ngValue]="statusVso.value" *ngFor="let statusVso of statusVsoes; trackBy: trackStatusVsoById">{{statusVso.label}}</option>
                                                    </select>
                    
                                                </div>
                                            </div>
                                        </div>
                                        <div class="btn-filter-wrapper">
                                            <button type="button" class="btn btn-primary btn-filter">
                                                <span>Filter</span>
                                            </button>
                                        </div>      
                                </p-accordionTab>
                            </p-accordion>
                            
                            <div>
                                <form name="searchForm" class="form-inline">
                                    <div class="input-group w-100 mt-3">
                                        <input type="text" class="form-control" [(ngModel)]="currentSearchingSubmit" id="currentSearchingSubmit"
                                            name="currentSearchingSubmit" placeholder="{{ 'mpmApp.vehicleSalesOrder.home.searchfinco' | translate }}">
                                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearchingSubmit)" *ngIf="currentSearchingSubmit">
                                            <span class="fa fa-search"></span>
                                        </button>
                                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clearing()" *ngIf="currentSearchingSubmit">
                                            <span class="fa fa-trash-o"></span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                    
                            <p-dataTable
                            [value]="TagihanLeasing"
                            [editable]="true"
                            [rows]="itemsPerPageSubmit"
                            [paginator]="true"
                            [pageLinks]="5"
                            [rowsPerPageOptions]="[10,15,20]"
                            [totalRecords]="totalItemsLeasing"
                            [responsive]="true"
                            [lazy]="true"
                            dataKey="idOrder"
                            expandableRows="false"
                            (onLazyLoad)="loadDataLazySubmit($event)"
                            (onEditComplete)="updateRowData($event)"
                            [(selection)]="selected"
                            class="width-filter">
                            <p-header>
                                <jhi-alert></jhi-alert>
                            </p-header>
                            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                           
                            <p-column header="{{'mpmApp.vehicleSalesOrder.noPOs'|translate}}" >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.salesUnitRequirement.poNumber}}
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.tglPO'|translate}}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="rowData.salesUnitRequirement.podate != null  then templatePoDate; else templateDateOrder">
                                    </div>
                                    <ng-template #templatePoDate>
                                        {{rowData.salesUnitRequirement.podate|date:'dd-MMM-yyyy'}}
                                    </ng-template>
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.Finco'|translate}}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.leasingName}}
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.Nconsumen'|translate}}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.customer.partyName}}
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.Ar'|translate}}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.arLeasing | number}}
                                </ng-template>
                            </p-column>
                    
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.NoIVU'|translate}}"  >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                        <div *ngIf="rowData.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                                        </div>
                                        <ng-template #templateOrderNumber>
                                            {{rowData.billingNumber}}
                                        </ng-template>
                                        <ng-template #templateRequirementNumber>
                                            {{rowData.salesUnitRequirement.requirementNumber}}
                                        </ng-template>
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.TglIVU'|translate}}"  >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="rowData.dateOrder">
                                        {{rowData.dateBilling|date:'dd-MMM-yyyy'}}
                                    </div>
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.DBU'|translate}}">
                                <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.dateBASTUnit|date:'dd-MMM-yyyy'}}
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.KwTagihan'|translate}}">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.dateCustomerReceipt|date:'dd-MMM-yyyy'}}
                                    </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.GNN'|translate}}">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.dateSwipeMachine|date:'dd-MMM-yyyy'}}
                                    </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.CN'|translate}}">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.dateCoverNote|date:'dd-MMM-yyyy'}}
                                    </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.Lamp'|translate}}">
                                    <ng-template let-rowData="rowData" pTemplate="body">
                                        {{rowData.dateTakePicture|date:'dd-MMM-yyyy'}}
                                    </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.status'|translate}}"  >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <div *ngIf="rowData.name then templatePrint">
                                    </div>
                                    <ng-template #templateOpen>
                                        Open
                                    </ng-template>
                                    <ng-template #templatePrint>
                                        Print
                                    </ng-template>
                                </ng-template>
                            </p-column>
                    
                            <p-column header="{{'mpmApp.vehicleSalesOrder.Note'|translate}}"  [style]="{'width': '70px', 'text-align': 'center'}" >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    <!-- {{rowData.bastFinco}} -->
                                </ng-template>
                            </p-column>

                            <p-column header="Nama Penerima"  [style]="{'width': '70px', 'text-align': 'center'}" >
                                <ng-template let-rowData="rowData" pTemplate="body">
                                    {{rowData.name}}
                                </ng-template>
                            </p-column>

                    
                        </p-dataTable>
                    
                        <div class="btn-filter-wrapper pull-right">
                            <button (click)="submitBAST()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                <span>Cetak BAST</span>
                            </button>
                        </div>                    
                        </p-tabPanel>       
            </p-tabView>
        </div>
    </div>
</div>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog header="BAST STNK" [(visible)]="printModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<div class="form-group">
				<label for="id">Nama Penerima</label>
				<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="vehicleSalesOrder.name" required />
			</div>
			<div class="form-group">
				<label for="id">No Ktp</label>
				<input type="text" class="form-control" maxlength="16" name="identitynumber" id="field_identitynumber" [(ngModel)]="vehicleSalesOrder.identityNumber" required />
			</div>
            <button type="button" class="btn btn-primary btn-filter" (click)="doPrintBAST()">
                <span>Print BAST</span>
            </button>  
		</div>
	</div>
</p-dialog>

<p-confirmDialog></p-confirmDialog>
